v12.0

get

/ec-ors-svc/rest/v12.0/studies/{studyId}/{mode}/subjects/{externalSubjectId}/dispensation-history

Retrieves dispensation history for a study, by subject and visit ID. This version adds the includeRollback query parameter and response fields dispensationRollback, reason, comment and lastActionDate.
Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    B1B8327AFAA6412287106192AB5984EF
Query Parameters
  • Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
    Get data as of the given date and time in yyyy-MM-dd'T'HH:mm:ss.SSS'Z' format.
    Example:
    2026-03-01T00:00:00.000Z
  • When true, includes dispensation rollback rows in the response.
    Default Value: false
    Example:
    false
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    B1B8327AFAA6412287106192AB5984EF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DispensationHistoryResponse v12.0
Type: object
Title: DispensationHistoryResponse v12.0
Response object containing Dispensation History with dispensation rollback details.
Show Source

400 Response

Invalid parameters
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}

404 Response

Invalid study ID or version OR Subject not found
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}

500 Response

Error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top